Change of the order of compilation ... change of the dependency libs... change in...
[scilab.git] / scilab / modules / tclsci / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 ##########
18 ### Sylvestre Ledru <sylvestre.ledru@inria.fr>
19 ### INRIA - Scilab 2006
20 ##########
21
22 ##########
23 ### Sylvestre Ledru <sylvestre.ledru@inria.fr>
24 ### INRIA - Scilab 2006/2007
25 ### 
26 ### Makefile included stuff
27 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
28 ##########
29
30
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 build_triplet = @build@
48 host_triplet = @host@
49 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
50         $(top_srcdir)/Makefile.incl.am
51 @GUI_TRUE@@TCLTK_TRUE@am__append_1 = java
52 @SWIG_TRUE@@TCLTK_TRUE@am__append_2 = swig
53 @GIWS_TRUE@@TCLTK_TRUE@am__append_3 = giws
54 subdir = modules/tclsci
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps = $(top_srcdir)/m4/fftw.m4 \
57         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
58         $(top_srcdir)/m4/intel_compiler.m4 $(top_srcdir)/m4/java.m4 \
59         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libs_by_debian.m4 \
60         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
61         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ocaml.m4 \
62         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pvm.m4 \
63         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/sciman.m4 \
64         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
65         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
66         $(top_srcdir)/configure.ac
67 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
68         $(ACLOCAL_M4)
69 mkinstalldirs = $(install_sh) -d
70 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
71 CONFIG_CLEAN_FILES =
72 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
73 am__vpath_adj = case $$p in \
74     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
75     *) f=$$p;; \
76   esac;
77 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
78 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
79         "$(DESTDIR)$(libscitclsci_la_etcdir)"
80 pkglibLTLIBRARIES_INSTALL = $(INSTALL)
81 LTLIBRARIES = $(pkglib_LTLIBRARIES)
82 @TCLTK_TRUE@libscitclsci_la_DEPENDENCIES = $(top_builddir)/modules/action_binding/libsciaction_binding.la \
83 @TCLTK_TRUE@    $(top_builddir)/modules/fileio/libscifileio.la \
84 @TCLTK_TRUE@    $(top_builddir)/modules/core/libscicore.la \
85 @TCLTK_TRUE@    $(top_builddir)/libs/MALLOC/libscimalloc.la \
86 @TCLTK_TRUE@    $(top_builddir)/modules/output_stream/libscioutput_stream.la
87 am__libscitclsci_la_SOURCES_DIST = src/c/GedManagement.c \
88         src/c/TCL_Global.c src/c/InitTclTk.c src/c/ScilabEval.c \
89         src/c/setenvtcl.c src/c/InitializeTclTk.c \
90         src/c/TerminateTclTk.c src/c/withtk.c src/c/setvar.c \
91         src/c/TCL_ArrayDim.c src/c/TCL_ArrayExist.c \
92         src/c/TCL_ArrayGetVar.c src/c/TCL_ArraySize.c \
93         src/c/TCL_Command.c src/c/GlobalTclInterp.c \
94         sci_gateway/c/sci_TCL_CreateSlave.c sci_gateway/c/sci_opentk.c \
95         sci_gateway/c/sci_TCL_SetVar.c \
96         sci_gateway/c/sci_TCL_ExistVar.c \
97         sci_gateway/c/sci_TCL_DoOneEvent.c \
98         sci_gateway/c/sci_TCL_UnsetVar.c \
99         sci_gateway/c/sci_TCL_ExistInterp.c sci_gateway/c/gw_tclsci.c \
100         sci_gateway/c/sci_TCL_EvalStr.c \
101         sci_gateway/c/sci_TCL_DeleteInterp.c \
102         sci_gateway/c/sci_TCL_GetVersion.c \
103         sci_gateway/c/sci_TCL_EvalFile.c \
104         sci_gateway/c/sci_TCL_GetVar.c \
105         sci_gateway/c/sci_TCL_ExistArray.c \
106         sci_gateway/c/sci_TCL_UpVar.c
107 @TCLTK_TRUE@am__objects_1 = libscitclsci_la-GedManagement.lo \
108 @TCLTK_TRUE@    libscitclsci_la-TCL_Global.lo \
109 @TCLTK_TRUE@    libscitclsci_la-InitTclTk.lo \
110 @TCLTK_TRUE@    libscitclsci_la-ScilabEval.lo \
111 @TCLTK_TRUE@    libscitclsci_la-setenvtcl.lo \
112 @TCLTK_TRUE@    libscitclsci_la-InitializeTclTk.lo \
113 @TCLTK_TRUE@    libscitclsci_la-TerminateTclTk.lo \
114 @TCLTK_TRUE@    libscitclsci_la-withtk.lo \
115 @TCLTK_TRUE@    libscitclsci_la-setvar.lo \
116 @TCLTK_TRUE@    libscitclsci_la-TCL_ArrayDim.lo \
117 @TCLTK_TRUE@    libscitclsci_la-TCL_ArrayExist.lo \
118 @TCLTK_TRUE@    libscitclsci_la-TCL_ArrayGetVar.lo \
119 @TCLTK_TRUE@    libscitclsci_la-TCL_ArraySize.lo \
120 @TCLTK_TRUE@    libscitclsci_la-TCL_Command.lo \
121 @TCLTK_TRUE@    libscitclsci_la-GlobalTclInterp.lo
122 @TCLTK_TRUE@am__objects_2 = libscitclsci_la-sci_TCL_CreateSlave.lo \
123 @TCLTK_TRUE@    libscitclsci_la-sci_opentk.lo \
124 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_SetVar.lo \
125 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_ExistVar.lo \
126 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_DoOneEvent.lo \
127 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_UnsetVar.lo \
128 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_ExistInterp.lo \
129 @TCLTK_TRUE@    libscitclsci_la-gw_tclsci.lo \
130 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_EvalStr.lo \
131 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_DeleteInterp.lo \
132 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_GetVersion.lo \
133 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_EvalFile.lo \
134 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_GetVar.lo \
135 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_ExistArray.lo \
136 @TCLTK_TRUE@    libscitclsci_la-sci_TCL_UpVar.lo
137 @TCLTK_TRUE@am_libscitclsci_la_OBJECTS = $(am__objects_1) \
138 @TCLTK_TRUE@    $(am__objects_2)
139 libscitclsci_la_OBJECTS = $(am_libscitclsci_la_OBJECTS)
140 libscitclsci_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
141         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libscitclsci_la_CFLAGS) \
142         $(CFLAGS) $(libscitclsci_la_LDFLAGS) $(LDFLAGS) -o $@
143 @TCLTK_TRUE@am_libscitclsci_la_rpath = -rpath $(pkglibdir)
144 DEFAULT_INCLUDES = -I. -I$(top_builddir)/modules/core/includes@am__isrc@
145 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
146 am__depfiles_maybe = depfiles
147 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
148         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
149 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
150         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
151         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
152 CCLD = $(CC)
153 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
154         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
155         $(LDFLAGS) -o $@
156 SOURCES = $(libscitclsci_la_SOURCES)
157 DIST_SOURCES = $(am__libscitclsci_la_SOURCES_DIST)
158 libscitclsci_la_etcDATA_INSTALL = $(INSTALL_DATA)
159 DATA = $(libscitclsci_la_etc_DATA)
160 ETAGS = etags
161 CTAGS = ctags
162 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
163 ACLOCAL = @ACLOCAL@
164 ALL_LINGUAS = @ALL_LINGUAS@
165 AMTAR = @AMTAR@
166 ANT = @ANT@
167 AR = @AR@
168 AUTOCONF = @AUTOCONF@
169 AUTOHEADER = @AUTOHEADER@
170 AUTOMAKE = @AUTOMAKE@
171 AWK = @AWK@
172 BLAS_LIBS = @BLAS_LIBS@
173 CC = @CC@
174 CCDEPMODE = @CCDEPMODE@
175 CFLAGS = @CFLAGS@
176 COMMONS_LOGGING = @COMMONS_LOGGING@
177 CPP = @CPP@
178 CPPFLAGS = @CPPFLAGS@
179 CXX = @CXX@
180 CXXCPP = @CXXCPP@
181 CXXDEPMODE = @CXXDEPMODE@
182 CXXFLAGS = @CXXFLAGS@
183 CYGPATH_W = @CYGPATH_W@
184 DEFS = @DEFS@
185 DEPDIR = @DEPDIR@
186 DSYMUTIL = @DSYMUTIL@
187 ECHO = @ECHO@
188 ECHO_C = @ECHO_C@
189 ECHO_N = @ECHO_N@
190 ECHO_T = @ECHO_T@
191 EGREP = @EGREP@
192 EXEEXT = @EXEEXT@
193 F77 = @F77@
194 FFLAGS = @FFLAGS@
195 FFTW3_LIB = @FFTW3_LIB@
196 FFTW_ENABLE = @FFTW_ENABLE@
197 FLEXDOCK = @FLEXDOCK@
198 FLIBS = @FLIBS@
199 GIWS_BIN = @GIWS_BIN@
200 GLUEGEN_RT = @GLUEGEN_RT@
201 GREP = @GREP@
202 INSTALL = @INSTALL@
203 INSTALL_DATA = @INSTALL_DATA@
204 INSTALL_PROGRAM = @INSTALL_PROGRAM@
205 INSTALL_SCRIPT = @INSTALL_SCRIPT@
206 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
207 JAR = @JAR@
208 JAVA = @JAVA@
209 JAVAC = @JAVAC@
210 JAVAH = @JAVAH@
211 JAVA_G = @JAVA_G@
212 JAVA_HOME = @JAVA_HOME@
213 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
214 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
215 JDB = @JDB@
216 JOGL = @JOGL@
217 JROSETTA_API = @JROSETTA_API@
218 JROSETTA_ENGINE = @JROSETTA_ENGINE@
219 LAPACK_LIBS = @LAPACK_LIBS@
220 LDFLAGS = @LDFLAGS@
221 LIBOBJS = @LIBOBJS@
222 LIBS = @LIBS@
223 LIBTOOL = @LIBTOOL@
224 LN_S = @LN_S@
225 LTLIBOBJS = @LTLIBOBJS@
226 MAINT = @MAINT@
227 MAKEINFO = @MAKEINFO@
228 MANGENERATOR = @MANGENERATOR@
229 MKDIR_P = @MKDIR_P@
230 MSGCAT = @MSGCAT@
231 MSGFMT = @MSGFMT@
232 NM = @NM@
233 NMEDIT = @NMEDIT@
234 OBJEXT = @OBJEXT@
235 OCAMLC = @OCAMLC@
236 OCAMLDEP = @OCAMLDEP@
237 OCAMLOPT = @OCAMLOPT@
238 PACKAGE = @PACKAGE@
239 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
240 PACKAGE_NAME = @PACKAGE_NAME@
241 PACKAGE_STRING = @PACKAGE_STRING@
242 PACKAGE_TARNAME = @PACKAGE_TARNAME@
243 PACKAGE_VERSION = @PACKAGE_VERSION@
244 PATH_SEPARATOR = @PATH_SEPARATOR@
245 PCRE_CONFIG = @PCRE_CONFIG@
246 PCRE_FLAGS = @PCRE_FLAGS@
247 PCRE_LIBS = @PCRE_LIBS@
248 PCRE_VERSION = @PCRE_VERSION@
249 POW_LIB = @POW_LIB@
250 PVMARCH = @PVMARCH@
251 PVMGETARCH = @PVMGETARCH@
252 PVM_ENABLE = @PVM_ENABLE@
253 PVM_INCLUDE = @PVM_INCLUDE@
254 PVM_LIB = @PVM_LIB@
255 PYTHON = @PYTHON@
256 RANLIB = @RANLIB@
257 RELOCATABLE = @RELOCATABLE@
258 SCICOS_ENABLE = @SCICOS_ENABLE@
259 SED = @SED@
260 SET_MAKE = @SET_MAKE@
261 SET_RELOCATABLE = @SET_RELOCATABLE@
262 SHELL = @SHELL@
263 STRIP = @STRIP@
264 SWIG_BIN = @SWIG_BIN@
265 SWIG_JAVA = @SWIG_JAVA@
266 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
267 TCLTK_LIBS = @TCLTK_LIBS@
268 TCL_INC_PATH = @TCL_INC_PATH@
269 TERMCAP_LIB = @TERMCAP_LIB@
270 TK_INC_PATH = @TK_INC_PATH@
271 UMFPACK_ENABLE = @UMFPACK_ENABLE@
272 UMFPACK_LIB = @UMFPACK_LIB@
273 VERSION = @VERSION@
274 WITH = @WITH@
275 WITH_OCAML = @WITH_OCAML@
276 XGETTEXT = @XGETTEXT@
277 XMKMF = @XMKMF@
278 XML_CONFIG = @XML_CONFIG@
279 XML_FLAGS = @XML_FLAGS@
280 XML_LIBS = @XML_LIBS@
281 XML_VERSION = @XML_VERSION@
282 X_CFLAGS = @X_CFLAGS@
283 X_EXTRA_LIBS = @X_EXTRA_LIBS@
284 X_LIBS = @X_LIBS@
285 X_PRE_LIBS = @X_PRE_LIBS@
286 abs_builddir = @abs_builddir@
287 abs_srcdir = @abs_srcdir@
288 abs_top_builddir = @abs_top_builddir@
289 abs_top_srcdir = @abs_top_srcdir@
290 ac_ct_CC = @ac_ct_CC@
291 ac_ct_CXX = @ac_ct_CXX@
292 ac_ct_F77 = @ac_ct_F77@
293 am__include = @am__include@
294 am__leading_dot = @am__leading_dot@
295 am__quote = @am__quote@
296 am__tar = @am__tar@
297 am__untar = @am__untar@
298 bindir = @bindir@
299 build = @build@
300 build_alias = @build_alias@
301 build_cpu = @build_cpu@
302 build_os = @build_os@
303 build_vendor = @build_vendor@
304 builddir = @builddir@
305 cxx_present = @cxx_present@
306 datadir = @datadir@
307 datarootdir = @datarootdir@
308 docdir = @docdir@
309 dvidir = @dvidir@
310 exec_prefix = @exec_prefix@
311 host = @host@
312 host_alias = @host_alias@
313 host_cpu = @host_cpu@
314 host_os = @host_os@
315 host_vendor = @host_vendor@
316 htmldir = @htmldir@
317 includedir = @includedir@
318 infodir = @infodir@
319 install_sh = @install_sh@
320 libdir = @libdir@
321 libexecdir = @libexecdir@
322 localedir = @localedir@
323 localstatedir = @localstatedir@
324 mandir = @mandir@
325 mkdir_p = @mkdir_p@
326 oldincludedir = @oldincludedir@
327 pdfdir = @pdfdir@
328 prefix = @prefix@
329 program_transform_name = @program_transform_name@
330 psdir = @psdir@
331 sbindir = @sbindir@
332 sharedstatedir = @sharedstatedir@
333 srcdir = @srcdir@
334 sysconfdir = @sysconfdir@
335 target_alias = @target_alias@
336 tcldir = @tcldir@
337 top_builddir = @top_builddir@
338 top_srcdir = @top_srcdir@
339 @TCLTK_TRUE@TCLSCI_C_SOURCES = src/c/GedManagement.c \
340 @TCLTK_TRUE@src/c/TCL_Global.c \
341 @TCLTK_TRUE@src/c/InitTclTk.c \
342 @TCLTK_TRUE@src/c/ScilabEval.c \
343 @TCLTK_TRUE@src/c/setenvtcl.c \
344 @TCLTK_TRUE@src/c/InitializeTclTk.c \
345 @TCLTK_TRUE@src/c/TerminateTclTk.c \
346 @TCLTK_TRUE@src/c/withtk.c \
347 @TCLTK_TRUE@src/c/setvar.c \
348 @TCLTK_TRUE@src/c/TCL_ArrayDim.c \
349 @TCLTK_TRUE@src/c/TCL_ArrayExist.c \
350 @TCLTK_TRUE@src/c/TCL_ArrayGetVar.c \
351 @TCLTK_TRUE@src/c/TCL_ArraySize.c \
352 @TCLTK_TRUE@src/c/TCL_Command.c \
353 @TCLTK_TRUE@src/c/GlobalTclInterp.c
354
355 @TCLTK_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/sci_TCL_CreateSlave.c \
356 @TCLTK_TRUE@sci_gateway/c/sci_opentk.c \
357 @TCLTK_TRUE@sci_gateway/c/sci_TCL_SetVar.c \
358 @TCLTK_TRUE@sci_gateway/c/sci_TCL_ExistVar.c \
359 @TCLTK_TRUE@sci_gateway/c/sci_TCL_DoOneEvent.c \
360 @TCLTK_TRUE@sci_gateway/c/sci_TCL_UnsetVar.c \
361 @TCLTK_TRUE@sci_gateway/c/sci_TCL_ExistInterp.c \
362 @TCLTK_TRUE@sci_gateway/c/gw_tclsci.c \
363 @TCLTK_TRUE@sci_gateway/c/sci_TCL_EvalStr.c \
364 @TCLTK_TRUE@sci_gateway/c/sci_TCL_DeleteInterp.c \
365 @TCLTK_TRUE@sci_gateway/c/sci_TCL_GetVersion.c \
366 @TCLTK_TRUE@sci_gateway/c/sci_TCL_EvalFile.c \
367 @TCLTK_TRUE@sci_gateway/c/sci_TCL_GetVar.c \
368 @TCLTK_TRUE@sci_gateway/c/sci_TCL_ExistArray.c \
369 @TCLTK_TRUE@sci_gateway/c/sci_TCL_UpVar.c
370
371 @TCLTK_TRUE@pkglib_LTLIBRARIES = libscitclsci.la
372 @TCLTK_TRUE@libscitclsci_la_CFLAGS = -Iincludes/ \
373 @TCLTK_TRUE@                    -Isrc/c \
374 @TCLTK_TRUE@                    -Isci_gateway/c/ \
375 @TCLTK_TRUE@                    -I$(top_srcdir)/libs/MALLOC/includes/ \
376 @TCLTK_TRUE@                    $(TCL_INC_PATH) \
377 @TCLTK_TRUE@                    $(TK_INC_PATH) \
378 @TCLTK_TRUE@                    -I$(top_srcdir)/modules/action_binding/includes \
379 @TCLTK_TRUE@                    -I$(top_srcdir)/modules/output_stream/includes \
380 @TCLTK_TRUE@                    -I$(top_srcdir)/modules/localization/includes
381
382 @TCLTK_TRUE@libscitclsci_la_LDFLAGS = $(TCLTK_LIBS)
383 @TCLTK_TRUE@libscitclsci_la_SOURCES = $(TCLSCI_C_SOURCES) $(GATEWAY_C_SOURCES)
384 @TCLTK_TRUE@libscitclsci_la_LIBADD = $(top_builddir)/modules/action_binding/libsciaction_binding.la $(top_builddir)/modules/fileio/libscifileio.la $(top_builddir)/modules/core/libscicore.la $(top_builddir)/libs/MALLOC/libscimalloc.la $(top_builddir)/modules/output_stream/libscioutput_stream.la
385 #### Target ######
386 @TCLTK_TRUE@modulename = tclsci
387
388 #### tclsci : Conf files ####
389 @TCLTK_TRUE@libscitclsci_la_rootdir = $(mydatadir)
390
391 #### tclsci : init scripts ####
392 @TCLTK_TRUE@libscitclsci_la_etcdir = $(mydatadir)/etc
393 @TCLTK_TRUE@libscitclsci_la_etc_DATA = etc/tclsci.quit etc/tclsci.start
394
395 # Where all the Scilab stuff is installed (macros, help, ...)
396 @TCLTK_TRUE@mydatadir = $(pkgdatadir)/modules/$(modulename)
397
398 ########################### JAVA ######################################
399 #### We are delegating java compilation to ant... Thanks to that
400 #### the procedure will be the same with Microsoft Windows (C) 
401 ####´┐Żand Linux/Unix
402 #######################################################################
403 @TCLTK_TRUE@TARGETS_ALL = $(am__append_1) $(am__append_2) \
404 @TCLTK_TRUE@    $(am__append_3)
405
406 ################ MACROS ######################"
407 # Rule to build a macro
408 # NOT USED  AT THE MOMENT
409 @TCLTK_TRUE@SUFFIXES = .sci 
410
411 ########### INSTALL DOCUMENTATION ###################
412 # Install HTML files into the right target
413 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
414 # automake needs the html files to be present which is not the case when
415 # we are building Scilab
416
417 # Where it should be installed
418 @TCLTK_TRUE@pkgdocdir = $(mydatadir)
419
420 # Which directories we have to install
421 @TCLTK_TRUE@DOCDIRS = help/fr_FR help/en_US
422 # What is the mask of the help output
423 @TCLTK_TRUE@DOCMASK = *.htm
424
425 # Which directories we have to install
426 @TCLTK_TRUE@DOCIMGDIRS = help/images
427 # What is the mask of the help images
428 @TCLTK_TRUE@DOCIMGMASK = *
429
430 # What is the mask of the help source
431 @TCLTK_TRUE@DOCMASKXML = *.xml
432
433 ########### INSTALL DATA ###################
434 # Install macros
435 # Where it should be installed
436 @TCLTK_TRUE@pkgmacrosdir = $(mydatadir)
437 # Which directory we process
438 @TCLTK_TRUE@MACRODIRS = macros/
439 # Mask of the Scilab sources macros
440 @TCLTK_TRUE@MACROMASK = *.sci
441 # Mask of the Scilab executable sources macros
442 @TCLTK_TRUE@MACROBUILDMASK = *.sce
443 # Mask of the Scilab compiled macros
444 @TCLTK_TRUE@MACROBINMASK = *.bin
445 # List of the function of a module
446 @TCLTK_TRUE@TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
447 # Chapter file 
448 @TCLTK_TRUE@HELP_CHAPTERDIR = help/en_US/
449 @TCLTK_TRUE@HELP_CHAPTERFILE = addchapter.sce
450 # Where to export JAVA files (.jar)
451 @TCLTK_TRUE@JARDIR = jar/
452 # JAR files
453 @TCLTK_TRUE@JARMASK = *.jar
454 all: all-am
455
456 .SUFFIXES:
457 .SUFFIXES: .sci .bin .c .lo .o .obj
458 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
459         @for dep in $?; do \
460           case '$(am__configure_deps)' in \
461             *$$dep*) \
462               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
463                 && exit 0; \
464               exit 1;; \
465           esac; \
466         done; \
467         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/tclsci/Makefile'; \
468         cd $(top_srcdir) && \
469           $(AUTOMAKE) --foreign  modules/tclsci/Makefile
470 .PRECIOUS: Makefile
471 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
472         @case '$?' in \
473           *config.status*) \
474             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
475           *) \
476             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
477             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
478         esac;
479
480 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
481         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
482
483 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
484         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
485 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
486         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
487 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
488         @$(NORMAL_INSTALL)
489         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
490         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
491           if test -f $$p; then \
492             f=$(am__strip_dir) \
493             echo " $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
494             $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
495           else :; fi; \
496         done
497
498 uninstall-pkglibLTLIBRARIES:
499         @$(NORMAL_UNINSTALL)
500         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
501           p=$(am__strip_dir) \
502           echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
503           $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
504         done
505
506 clean-pkglibLTLIBRARIES:
507         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
508         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
509           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
510           test "$$dir" != "$$p" || dir=.; \
511           echo "rm -f \"$${dir}/so_locations\""; \
512           rm -f "$${dir}/so_locations"; \
513         done
514 libscitclsci.la: $(libscitclsci_la_OBJECTS) $(libscitclsci_la_DEPENDENCIES) 
515         $(libscitclsci_la_LINK) $(am_libscitclsci_la_rpath) $(libscitclsci_la_OBJECTS) $(libscitclsci_la_LIBADD) $(LIBS)
516
517 mostlyclean-compile:
518         -rm -f *.$(OBJEXT)
519
520 distclean-compile:
521         -rm -f *.tab.c
522
523 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-GedManagement.Plo@am__quote@
524 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-GlobalTclInterp.Plo@am__quote@
525 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-InitTclTk.Plo@am__quote@
526 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-InitializeTclTk.Plo@am__quote@
527 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-ScilabEval.Plo@am__quote@
528 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TCL_ArrayDim.Plo@am__quote@
529 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TCL_ArrayExist.Plo@am__quote@
530 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TCL_ArrayGetVar.Plo@am__quote@
531 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TCL_ArraySize.Plo@am__quote@
532 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TCL_Command.Plo@am__quote@
533 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TCL_Global.Plo@am__quote@
534 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-TerminateTclTk.Plo@am__quote@
535 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-gw_tclsci.Plo@am__quote@
536 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_CreateSlave.Plo@am__quote@
537 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_DeleteInterp.Plo@am__quote@
538 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_DoOneEvent.Plo@am__quote@
539 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_EvalFile.Plo@am__quote@
540 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_EvalStr.Plo@am__quote@
541 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_ExistArray.Plo@am__quote@
542 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_ExistInterp.Plo@am__quote@
543 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_ExistVar.Plo@am__quote@
544 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_GetVar.Plo@am__quote@
545 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_GetVersion.Plo@am__quote@
546 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_SetVar.Plo@am__quote@
547 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_UnsetVar.Plo@am__quote@
548 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_TCL_UpVar.Plo@am__quote@
549 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-sci_opentk.Plo@am__quote@
550 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-setenvtcl.Plo@am__quote@
551 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-setvar.Plo@am__quote@
552 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscitclsci_la-withtk.Plo@am__quote@
553
554 .c.o:
555 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
556 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
557 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
558 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
559 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
560
561 .c.obj:
562 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
563 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
564 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
565 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
566 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
567
568 .c.lo:
569 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
570 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
571 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
572 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
573 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
574
575 libscitclsci_la-GedManagement.lo: src/c/GedManagement.c
576 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-GedManagement.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-GedManagement.Tpo -c -o libscitclsci_la-GedManagement.lo `test -f 'src/c/GedManagement.c' || echo '$(srcdir)/'`src/c/GedManagement.c
577 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-GedManagement.Tpo $(DEPDIR)/libscitclsci_la-GedManagement.Plo
578 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/GedManagement.c' object='libscitclsci_la-GedManagement.lo' libtool=yes @AMDEPBACKSLASH@
579 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
580 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-GedManagement.lo `test -f 'src/c/GedManagement.c' || echo '$(srcdir)/'`src/c/GedManagement.c
581
582 libscitclsci_la-TCL_Global.lo: src/c/TCL_Global.c
583 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TCL_Global.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TCL_Global.Tpo -c -o libscitclsci_la-TCL_Global.lo `test -f 'src/c/TCL_Global.c' || echo '$(srcdir)/'`src/c/TCL_Global.c
584 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TCL_Global.Tpo $(DEPDIR)/libscitclsci_la-TCL_Global.Plo
585 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TCL_Global.c' object='libscitclsci_la-TCL_Global.lo' libtool=yes @AMDEPBACKSLASH@
586 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
587 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TCL_Global.lo `test -f 'src/c/TCL_Global.c' || echo '$(srcdir)/'`src/c/TCL_Global.c
588
589 libscitclsci_la-InitTclTk.lo: src/c/InitTclTk.c
590 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-InitTclTk.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-InitTclTk.Tpo -c -o libscitclsci_la-InitTclTk.lo `test -f 'src/c/InitTclTk.c' || echo '$(srcdir)/'`src/c/InitTclTk.c
591 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-InitTclTk.Tpo $(DEPDIR)/libscitclsci_la-InitTclTk.Plo
592 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/InitTclTk.c' object='libscitclsci_la-InitTclTk.lo' libtool=yes @AMDEPBACKSLASH@
593 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
594 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-InitTclTk.lo `test -f 'src/c/InitTclTk.c' || echo '$(srcdir)/'`src/c/InitTclTk.c
595
596 libscitclsci_la-ScilabEval.lo: src/c/ScilabEval.c
597 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-ScilabEval.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-ScilabEval.Tpo -c -o libscitclsci_la-ScilabEval.lo `test -f 'src/c/ScilabEval.c' || echo '$(srcdir)/'`src/c/ScilabEval.c
598 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-ScilabEval.Tpo $(DEPDIR)/libscitclsci_la-ScilabEval.Plo
599 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ScilabEval.c' object='libscitclsci_la-ScilabEval.lo' libtool=yes @AMDEPBACKSLASH@
600 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
601 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-ScilabEval.lo `test -f 'src/c/ScilabEval.c' || echo '$(srcdir)/'`src/c/ScilabEval.c
602
603 libscitclsci_la-setenvtcl.lo: src/c/setenvtcl.c
604 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-setenvtcl.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-setenvtcl.Tpo -c -o libscitclsci_la-setenvtcl.lo `test -f 'src/c/setenvtcl.c' || echo '$(srcdir)/'`src/c/setenvtcl.c
605 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-setenvtcl.Tpo $(DEPDIR)/libscitclsci_la-setenvtcl.Plo
606 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/setenvtcl.c' object='libscitclsci_la-setenvtcl.lo' libtool=yes @AMDEPBACKSLASH@
607 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
608 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-setenvtcl.lo `test -f 'src/c/setenvtcl.c' || echo '$(srcdir)/'`src/c/setenvtcl.c
609
610 libscitclsci_la-InitializeTclTk.lo: src/c/InitializeTclTk.c
611 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-InitializeTclTk.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-InitializeTclTk.Tpo -c -o libscitclsci_la-InitializeTclTk.lo `test -f 'src/c/InitializeTclTk.c' || echo '$(srcdir)/'`src/c/InitializeTclTk.c
612 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-InitializeTclTk.Tpo $(DEPDIR)/libscitclsci_la-InitializeTclTk.Plo
613 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/InitializeTclTk.c' object='libscitclsci_la-InitializeTclTk.lo' libtool=yes @AMDEPBACKSLASH@
614 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
615 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-InitializeTclTk.lo `test -f 'src/c/InitializeTclTk.c' || echo '$(srcdir)/'`src/c/InitializeTclTk.c
616
617 libscitclsci_la-TerminateTclTk.lo: src/c/TerminateTclTk.c
618 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TerminateTclTk.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TerminateTclTk.Tpo -c -o libscitclsci_la-TerminateTclTk.lo `test -f 'src/c/TerminateTclTk.c' || echo '$(srcdir)/'`src/c/TerminateTclTk.c
619 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TerminateTclTk.Tpo $(DEPDIR)/libscitclsci_la-TerminateTclTk.Plo
620 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TerminateTclTk.c' object='libscitclsci_la-TerminateTclTk.lo' libtool=yes @AMDEPBACKSLASH@
621 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
622 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TerminateTclTk.lo `test -f 'src/c/TerminateTclTk.c' || echo '$(srcdir)/'`src/c/TerminateTclTk.c
623
624 libscitclsci_la-withtk.lo: src/c/withtk.c
625 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-withtk.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-withtk.Tpo -c -o libscitclsci_la-withtk.lo `test -f 'src/c/withtk.c' || echo '$(srcdir)/'`src/c/withtk.c
626 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-withtk.Tpo $(DEPDIR)/libscitclsci_la-withtk.Plo
627 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/withtk.c' object='libscitclsci_la-withtk.lo' libtool=yes @AMDEPBACKSLASH@
628 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
629 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-withtk.lo `test -f 'src/c/withtk.c' || echo '$(srcdir)/'`src/c/withtk.c
630
631 libscitclsci_la-setvar.lo: src/c/setvar.c
632 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-setvar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-setvar.Tpo -c -o libscitclsci_la-setvar.lo `test -f 'src/c/setvar.c' || echo '$(srcdir)/'`src/c/setvar.c
633 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-setvar.Tpo $(DEPDIR)/libscitclsci_la-setvar.Plo
634 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/setvar.c' object='libscitclsci_la-setvar.lo' libtool=yes @AMDEPBACKSLASH@
635 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
636 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-setvar.lo `test -f 'src/c/setvar.c' || echo '$(srcdir)/'`src/c/setvar.c
637
638 libscitclsci_la-TCL_ArrayDim.lo: src/c/TCL_ArrayDim.c
639 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TCL_ArrayDim.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TCL_ArrayDim.Tpo -c -o libscitclsci_la-TCL_ArrayDim.lo `test -f 'src/c/TCL_ArrayDim.c' || echo '$(srcdir)/'`src/c/TCL_ArrayDim.c
640 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TCL_ArrayDim.Tpo $(DEPDIR)/libscitclsci_la-TCL_ArrayDim.Plo
641 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TCL_ArrayDim.c' object='libscitclsci_la-TCL_ArrayDim.lo' libtool=yes @AMDEPBACKSLASH@
642 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
643 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TCL_ArrayDim.lo `test -f 'src/c/TCL_ArrayDim.c' || echo '$(srcdir)/'`src/c/TCL_ArrayDim.c
644
645 libscitclsci_la-TCL_ArrayExist.lo: src/c/TCL_ArrayExist.c
646 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TCL_ArrayExist.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TCL_ArrayExist.Tpo -c -o libscitclsci_la-TCL_ArrayExist.lo `test -f 'src/c/TCL_ArrayExist.c' || echo '$(srcdir)/'`src/c/TCL_ArrayExist.c
647 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TCL_ArrayExist.Tpo $(DEPDIR)/libscitclsci_la-TCL_ArrayExist.Plo
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TCL_ArrayExist.c' object='libscitclsci_la-TCL_ArrayExist.lo' libtool=yes @AMDEPBACKSLASH@
649 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
650 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TCL_ArrayExist.lo `test -f 'src/c/TCL_ArrayExist.c' || echo '$(srcdir)/'`src/c/TCL_ArrayExist.c
651
652 libscitclsci_la-TCL_ArrayGetVar.lo: src/c/TCL_ArrayGetVar.c
653 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TCL_ArrayGetVar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TCL_ArrayGetVar.Tpo -c -o libscitclsci_la-TCL_ArrayGetVar.lo `test -f 'src/c/TCL_ArrayGetVar.c' || echo '$(srcdir)/'`src/c/TCL_ArrayGetVar.c
654 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TCL_ArrayGetVar.Tpo $(DEPDIR)/libscitclsci_la-TCL_ArrayGetVar.Plo
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TCL_ArrayGetVar.c' object='libscitclsci_la-TCL_ArrayGetVar.lo' libtool=yes @AMDEPBACKSLASH@
656 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
657 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TCL_ArrayGetVar.lo `test -f 'src/c/TCL_ArrayGetVar.c' || echo '$(srcdir)/'`src/c/TCL_ArrayGetVar.c
658
659 libscitclsci_la-TCL_ArraySize.lo: src/c/TCL_ArraySize.c
660 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TCL_ArraySize.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TCL_ArraySize.Tpo -c -o libscitclsci_la-TCL_ArraySize.lo `test -f 'src/c/TCL_ArraySize.c' || echo '$(srcdir)/'`src/c/TCL_ArraySize.c
661 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TCL_ArraySize.Tpo $(DEPDIR)/libscitclsci_la-TCL_ArraySize.Plo
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TCL_ArraySize.c' object='libscitclsci_la-TCL_ArraySize.lo' libtool=yes @AMDEPBACKSLASH@
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
664 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TCL_ArraySize.lo `test -f 'src/c/TCL_ArraySize.c' || echo '$(srcdir)/'`src/c/TCL_ArraySize.c
665
666 libscitclsci_la-TCL_Command.lo: src/c/TCL_Command.c
667 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-TCL_Command.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-TCL_Command.Tpo -c -o libscitclsci_la-TCL_Command.lo `test -f 'src/c/TCL_Command.c' || echo '$(srcdir)/'`src/c/TCL_Command.c
668 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-TCL_Command.Tpo $(DEPDIR)/libscitclsci_la-TCL_Command.Plo
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TCL_Command.c' object='libscitclsci_la-TCL_Command.lo' libtool=yes @AMDEPBACKSLASH@
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
671 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-TCL_Command.lo `test -f 'src/c/TCL_Command.c' || echo '$(srcdir)/'`src/c/TCL_Command.c
672
673 libscitclsci_la-GlobalTclInterp.lo: src/c/GlobalTclInterp.c
674 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-GlobalTclInterp.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-GlobalTclInterp.Tpo -c -o libscitclsci_la-GlobalTclInterp.lo `test -f 'src/c/GlobalTclInterp.c' || echo '$(srcdir)/'`src/c/GlobalTclInterp.c
675 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-GlobalTclInterp.Tpo $(DEPDIR)/libscitclsci_la-GlobalTclInterp.Plo
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/GlobalTclInterp.c' object='libscitclsci_la-GlobalTclInterp.lo' libtool=yes @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-GlobalTclInterp.lo `test -f 'src/c/GlobalTclInterp.c' || echo '$(srcdir)/'`src/c/GlobalTclInterp.c
679
680 libscitclsci_la-sci_TCL_CreateSlave.lo: sci_gateway/c/sci_TCL_CreateSlave.c
681 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_CreateSlave.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_CreateSlave.Tpo -c -o libscitclsci_la-sci_TCL_CreateSlave.lo `test -f 'sci_gateway/c/sci_TCL_CreateSlave.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_CreateSlave.c
682 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_CreateSlave.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_CreateSlave.Plo
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_CreateSlave.c' object='libscitclsci_la-sci_TCL_CreateSlave.lo' libtool=yes @AMDEPBACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
685 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_CreateSlave.lo `test -f 'sci_gateway/c/sci_TCL_CreateSlave.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_CreateSlave.c
686
687 libscitclsci_la-sci_opentk.lo: sci_gateway/c/sci_opentk.c
688 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_opentk.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_opentk.Tpo -c -o libscitclsci_la-sci_opentk.lo `test -f 'sci_gateway/c/sci_opentk.c' || echo '$(srcdir)/'`sci_gateway/c/sci_opentk.c
689 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_opentk.Tpo $(DEPDIR)/libscitclsci_la-sci_opentk.Plo
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_opentk.c' object='libscitclsci_la-sci_opentk.lo' libtool=yes @AMDEPBACKSLASH@
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
692 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_opentk.lo `test -f 'sci_gateway/c/sci_opentk.c' || echo '$(srcdir)/'`sci_gateway/c/sci_opentk.c
693
694 libscitclsci_la-sci_TCL_SetVar.lo: sci_gateway/c/sci_TCL_SetVar.c
695 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_SetVar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_SetVar.Tpo -c -o libscitclsci_la-sci_TCL_SetVar.lo `test -f 'sci_gateway/c/sci_TCL_SetVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_SetVar.c
696 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_SetVar.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_SetVar.Plo
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_SetVar.c' object='libscitclsci_la-sci_TCL_SetVar.lo' libtool=yes @AMDEPBACKSLASH@
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
699 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_SetVar.lo `test -f 'sci_gateway/c/sci_TCL_SetVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_SetVar.c
700
701 libscitclsci_la-sci_TCL_ExistVar.lo: sci_gateway/c/sci_TCL_ExistVar.c
702 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_ExistVar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_ExistVar.Tpo -c -o libscitclsci_la-sci_TCL_ExistVar.lo `test -f 'sci_gateway/c/sci_TCL_ExistVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_ExistVar.c
703 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_ExistVar.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_ExistVar.Plo
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_ExistVar.c' object='libscitclsci_la-sci_TCL_ExistVar.lo' libtool=yes @AMDEPBACKSLASH@
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_ExistVar.lo `test -f 'sci_gateway/c/sci_TCL_ExistVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_ExistVar.c
707
708 libscitclsci_la-sci_TCL_DoOneEvent.lo: sci_gateway/c/sci_TCL_DoOneEvent.c
709 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_DoOneEvent.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_DoOneEvent.Tpo -c -o libscitclsci_la-sci_TCL_DoOneEvent.lo `test -f 'sci_gateway/c/sci_TCL_DoOneEvent.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_DoOneEvent.c
710 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_DoOneEvent.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_DoOneEvent.Plo
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_DoOneEvent.c' object='libscitclsci_la-sci_TCL_DoOneEvent.lo' libtool=yes @AMDEPBACKSLASH@
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
713 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_DoOneEvent.lo `test -f 'sci_gateway/c/sci_TCL_DoOneEvent.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_DoOneEvent.c
714
715 libscitclsci_la-sci_TCL_UnsetVar.lo: sci_gateway/c/sci_TCL_UnsetVar.c
716 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_UnsetVar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_UnsetVar.Tpo -c -o libscitclsci_la-sci_TCL_UnsetVar.lo `test -f 'sci_gateway/c/sci_TCL_UnsetVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_UnsetVar.c
717 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_UnsetVar.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_UnsetVar.Plo
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_UnsetVar.c' object='libscitclsci_la-sci_TCL_UnsetVar.lo' libtool=yes @AMDEPBACKSLASH@
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
720 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_UnsetVar.lo `test -f 'sci_gateway/c/sci_TCL_UnsetVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_UnsetVar.c
721
722 libscitclsci_la-sci_TCL_ExistInterp.lo: sci_gateway/c/sci_TCL_ExistInterp.c
723 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_ExistInterp.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_ExistInterp.Tpo -c -o libscitclsci_la-sci_TCL_ExistInterp.lo `test -f 'sci_gateway/c/sci_TCL_ExistInterp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_ExistInterp.c
724 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_ExistInterp.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_ExistInterp.Plo
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_ExistInterp.c' object='libscitclsci_la-sci_TCL_ExistInterp.lo' libtool=yes @AMDEPBACKSLASH@
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_ExistInterp.lo `test -f 'sci_gateway/c/sci_TCL_ExistInterp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_ExistInterp.c
728
729 libscitclsci_la-gw_tclsci.lo: sci_gateway/c/gw_tclsci.c
730 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-gw_tclsci.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-gw_tclsci.Tpo -c -o libscitclsci_la-gw_tclsci.lo `test -f 'sci_gateway/c/gw_tclsci.c' || echo '$(srcdir)/'`sci_gateway/c/gw_tclsci.c
731 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-gw_tclsci.Tpo $(DEPDIR)/libscitclsci_la-gw_tclsci.Plo
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_tclsci.c' object='libscitclsci_la-gw_tclsci.lo' libtool=yes @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-gw_tclsci.lo `test -f 'sci_gateway/c/gw_tclsci.c' || echo '$(srcdir)/'`sci_gateway/c/gw_tclsci.c
735
736 libscitclsci_la-sci_TCL_EvalStr.lo: sci_gateway/c/sci_TCL_EvalStr.c
737 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_EvalStr.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_EvalStr.Tpo -c -o libscitclsci_la-sci_TCL_EvalStr.lo `test -f 'sci_gateway/c/sci_TCL_EvalStr.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_EvalStr.c
738 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_EvalStr.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_EvalStr.Plo
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_EvalStr.c' object='libscitclsci_la-sci_TCL_EvalStr.lo' libtool=yes @AMDEPBACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_EvalStr.lo `test -f 'sci_gateway/c/sci_TCL_EvalStr.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_EvalStr.c
742
743 libscitclsci_la-sci_TCL_DeleteInterp.lo: sci_gateway/c/sci_TCL_DeleteInterp.c
744 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_DeleteInterp.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_DeleteInterp.Tpo -c -o libscitclsci_la-sci_TCL_DeleteInterp.lo `test -f 'sci_gateway/c/sci_TCL_DeleteInterp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_DeleteInterp.c
745 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_DeleteInterp.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_DeleteInterp.Plo
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_DeleteInterp.c' object='libscitclsci_la-sci_TCL_DeleteInterp.lo' libtool=yes @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_DeleteInterp.lo `test -f 'sci_gateway/c/sci_TCL_DeleteInterp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_DeleteInterp.c
749
750 libscitclsci_la-sci_TCL_GetVersion.lo: sci_gateway/c/sci_TCL_GetVersion.c
751 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_GetVersion.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_GetVersion.Tpo -c -o libscitclsci_la-sci_TCL_GetVersion.lo `test -f 'sci_gateway/c/sci_TCL_GetVersion.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_GetVersion.c
752 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_GetVersion.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_GetVersion.Plo
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_GetVersion.c' object='libscitclsci_la-sci_TCL_GetVersion.lo' libtool=yes @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_GetVersion.lo `test -f 'sci_gateway/c/sci_TCL_GetVersion.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_GetVersion.c
756
757 libscitclsci_la-sci_TCL_EvalFile.lo: sci_gateway/c/sci_TCL_EvalFile.c
758 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_EvalFile.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_EvalFile.Tpo -c -o libscitclsci_la-sci_TCL_EvalFile.lo `test -f 'sci_gateway/c/sci_TCL_EvalFile.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_EvalFile.c
759 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_EvalFile.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_EvalFile.Plo
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_EvalFile.c' object='libscitclsci_la-sci_TCL_EvalFile.lo' libtool=yes @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_EvalFile.lo `test -f 'sci_gateway/c/sci_TCL_EvalFile.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_EvalFile.c
763
764 libscitclsci_la-sci_TCL_GetVar.lo: sci_gateway/c/sci_TCL_GetVar.c
765 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_GetVar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_GetVar.Tpo -c -o libscitclsci_la-sci_TCL_GetVar.lo `test -f 'sci_gateway/c/sci_TCL_GetVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_GetVar.c
766 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_GetVar.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_GetVar.Plo
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_GetVar.c' object='libscitclsci_la-sci_TCL_GetVar.lo' libtool=yes @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_GetVar.lo `test -f 'sci_gateway/c/sci_TCL_GetVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_GetVar.c
770
771 libscitclsci_la-sci_TCL_ExistArray.lo: sci_gateway/c/sci_TCL_ExistArray.c
772 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_ExistArray.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_ExistArray.Tpo -c -o libscitclsci_la-sci_TCL_ExistArray.lo `test -f 'sci_gateway/c/sci_TCL_ExistArray.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_ExistArray.c
773 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_ExistArray.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_ExistArray.Plo
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_ExistArray.c' object='libscitclsci_la-sci_TCL_ExistArray.lo' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_ExistArray.lo `test -f 'sci_gateway/c/sci_TCL_ExistArray.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_ExistArray.c
777
778 libscitclsci_la-sci_TCL_UpVar.lo: sci_gateway/c/sci_TCL_UpVar.c
779 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -MT libscitclsci_la-sci_TCL_UpVar.lo -MD -MP -MF $(DEPDIR)/libscitclsci_la-sci_TCL_UpVar.Tpo -c -o libscitclsci_la-sci_TCL_UpVar.lo `test -f 'sci_gateway/c/sci_TCL_UpVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_UpVar.c
780 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscitclsci_la-sci_TCL_UpVar.Tpo $(DEPDIR)/libscitclsci_la-sci_TCL_UpVar.Plo
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_TCL_UpVar.c' object='libscitclsci_la-sci_TCL_UpVar.lo' libtool=yes @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscitclsci_la_CFLAGS) $(CFLAGS) -c -o libscitclsci_la-sci_TCL_UpVar.lo `test -f 'sci_gateway/c/sci_TCL_UpVar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_TCL_UpVar.c
784
785 mostlyclean-libtool:
786         -rm -f *.lo
787
788 clean-libtool:
789         -rm -rf .libs _libs
790 install-libscitclsci_la_etcDATA: $(libscitclsci_la_etc_DATA)
791         @$(NORMAL_INSTALL)
792         test -z "$(libscitclsci_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscitclsci_la_etcdir)"
793         @list='$(libscitclsci_la_etc_DATA)'; for p in $$list; do \
794           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
795           f=$(am__strip_dir) \
796           echo " $(libscitclsci_la_etcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscitclsci_la_etcdir)/$$f'"; \
797           $(libscitclsci_la_etcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscitclsci_la_etcdir)/$$f"; \
798         done
799
800 uninstall-libscitclsci_la_etcDATA:
801         @$(NORMAL_UNINSTALL)
802         @list='$(libscitclsci_la_etc_DATA)'; for p in $$list; do \
803           f=$(am__strip_dir) \
804           echo " rm -f '$(DESTDIR)$(libscitclsci_la_etcdir)/$$f'"; \
805           rm -f "$(DESTDIR)$(libscitclsci_la_etcdir)/$$f"; \
806         done
807
808 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
809         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
810         unique=`for i in $$list; do \
811             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
812           done | \
813           $(AWK) '    { files[$$0] = 1; } \
814                END { for (i in files) print i; }'`; \
815         mkid -fID $$unique
816 tags: TAGS
817
818 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
819                 $(TAGS_FILES) $(LISP)
820         tags=; \
821         here=`pwd`; \
822         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
823         unique=`for i in $$list; do \
824             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
825           done | \
826           $(AWK) '    { files[$$0] = 1; } \
827                END { for (i in files) print i; }'`; \
828         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
829           test -n "$$unique" || unique=$$empty_fix; \
830           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
831             $$tags $$unique; \
832         fi
833 ctags: CTAGS
834 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
835                 $(TAGS_FILES) $(LISP)
836         tags=; \
837         here=`pwd`; \
838         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
839         unique=`for i in $$list; do \
840             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
841           done | \
842           $(AWK) '    { files[$$0] = 1; } \
843                END { for (i in files) print i; }'`; \
844         test -z "$(CTAGS_ARGS)$$tags$$unique" \
845           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
846              $$tags $$unique
847
848 GTAGS:
849         here=`$(am__cd) $(top_builddir) && pwd` \
850           && cd $(top_srcdir) \
851           && gtags -i $(GTAGS_ARGS) $$here
852
853 distclean-tags:
854         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
855
856 distdir: $(DISTFILES)
857         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
858         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
859         list='$(DISTFILES)'; \
860           dist_files=`for file in $$list; do echo $$file; done | \
861           sed -e "s|^$$srcdirstrip/||;t" \
862               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
863         case $$dist_files in \
864           */*) $(MKDIR_P) `echo "$$dist_files" | \
865                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
866                            sort -u` ;; \
867         esac; \
868         for file in $$dist_files; do \
869           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
870           if test -d $$d/$$file; then \
871             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
872             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
873               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
874             fi; \
875             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
876           else \
877             test -f $(distdir)/$$file \
878             || cp -p $$d/$$file $(distdir)/$$file \
879             || exit 1; \
880           fi; \
881         done
882 @TCLTK_FALSE@check-local:
883 check-am: all-am
884         $(MAKE) $(AM_MAKEFLAGS) check-local
885 check: check-am
886 @TCLTK_FALSE@all-local:
887 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
888 installdirs:
889         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscitclsci_la_etcdir)"; do \
890           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
891         done
892 install: install-am
893 install-exec: install-exec-am
894 install-data: install-data-am
895 uninstall: uninstall-am
896
897 install-am: all-am
898         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
899
900 installcheck: installcheck-am
901 install-strip:
902         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
903           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
904           `test -z '$(STRIP)' || \
905             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
906 mostlyclean-generic:
907
908 clean-generic:
909
910 distclean-generic:
911         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
912
913 maintainer-clean-generic:
914         @echo "This command is intended for maintainers to use"
915         @echo "it deletes files that may require special tools to rebuild."
916 @TCLTK_FALSE@install-data-local:
917 @TCLTK_FALSE@install-html-local:
918 @TCLTK_FALSE@clean-local:
919 clean: clean-am
920
921 clean-am: clean-generic clean-libtool clean-local \
922         clean-pkglibLTLIBRARIES mostlyclean-am
923
924 distclean: distclean-am
925         -rm -rf ./$(DEPDIR)
926         -rm -f Makefile
927 distclean-am: clean-am distclean-compile distclean-generic \
928         distclean-tags
929
930 dvi: dvi-am
931
932 dvi-am:
933
934 html: html-am
935
936 info: info-am
937
938 info-am:
939
940 install-data-am: install-data-local install-libscitclsci_la_etcDATA
941
942 install-dvi: install-dvi-am
943
944 install-exec-am: install-pkglibLTLIBRARIES
945
946 install-html: install-html-am
947
948 install-html-am: install-html-local
949
950 install-info: install-info-am
951
952 install-man:
953
954 install-pdf: install-pdf-am
955
956 install-ps: install-ps-am
957
958 installcheck-am:
959
960 maintainer-clean: maintainer-clean-am
961         -rm -rf ./$(DEPDIR)
962         -rm -f Makefile
963 maintainer-clean-am: distclean-am maintainer-clean-generic
964
965 mostlyclean: mostlyclean-am
966
967 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
968         mostlyclean-libtool
969
970 pdf: pdf-am
971
972 pdf-am:
973
974 ps: ps-am
975
976 ps-am:
977
978 uninstall-am: uninstall-libscitclsci_la_etcDATA \
979         uninstall-pkglibLTLIBRARIES
980
981 .MAKE: install-am install-strip
982
983 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
984         clean clean-generic clean-libtool clean-local \
985         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
986         distclean-generic distclean-libtool distclean-tags distdir dvi \
987         dvi-am html html-am info info-am install install-am \
988         install-data install-data-am install-data-local install-dvi \
989         install-dvi-am install-exec install-exec-am install-html \
990         install-html-am install-html-local install-info \
991         install-info-am install-libscitclsci_la_etcDATA install-man \
992         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
993         install-ps install-ps-am install-strip installcheck \
994         installcheck-am installdirs maintainer-clean \
995         maintainer-clean-generic mostlyclean mostlyclean-compile \
996         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
997         tags uninstall uninstall-am uninstall-libscitclsci_la_etcDATA \
998         uninstall-pkglibLTLIBRARIES
999
1000
1001 # This target enables tests for Scilab
1002 @TCLTK_TRUE@check-local: $(top_builddir)/scilab-bin
1003 @TCLTK_TRUE@    @if test -f build.xml; then \
1004 @TCLTK_TRUE@            $(ANT) checkstyle; \
1005 @TCLTK_TRUE@    fi;\
1006 @TCLTK_TRUE@    COMMAND="test_run('$(modulename)');quit";\
1007 @TCLTK_TRUE@    export LANG=C;\
1008 @TCLTK_TRUE@    $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1009 @GUI_TRUE@@TCLTK_TRUE@java:
1010 # Some configurations needs to export JAVA_HOME in the current env
1011 @GUI_TRUE@@TCLTK_TRUE@  @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1012 @GUI_TRUE@@TCLTK_TRUE@  if test -f build.xml; then \
1013 @GUI_TRUE@@TCLTK_TRUE@          $(ANT) jar; \
1014 @GUI_TRUE@@TCLTK_TRUE@  fi
1015
1016 @GUI_TRUE@@TCLTK_TRUE@clean-java:
1017 # Some configurations needs to export JAVA_HOME in the current env
1018 @GUI_TRUE@@TCLTK_TRUE@  @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1019 @GUI_TRUE@@TCLTK_TRUE@  if test -f build.xml; then \
1020 @GUI_TRUE@@TCLTK_TRUE@          $(ANT) clean; \
1021 @GUI_TRUE@@TCLTK_TRUE@  fi
1022 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1023 # We call the target swig-build on the variable SWIG_WRAPPERS
1024
1025 @SWIG_TRUE@@TCLTK_TRUE@swig: $(SWIG_WRAPPERS)
1026 @SWIG_TRUE@@TCLTK_TRUE@ @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1027 @SWIG_TRUE@@TCLTK_TRUE@ SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1028 @SWIG_TRUE@@TCLTK_TRUE@ if test ! -z "$(SWIG_WRAPPERS)"; then \
1029 @SWIG_TRUE@@TCLTK_TRUE@         for file in $(SWIG_WRAPPERS) ; do \
1030 @SWIG_TRUE@@TCLTK_TRUE@                 echo "Swig process of $$file ..."; \
1031 @SWIG_TRUE@@TCLTK_TRUE@                 $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1032 @SWIG_TRUE@@TCLTK_TRUE@         done; \
1033 @SWIG_TRUE@@TCLTK_TRUE@ fi
1034
1035 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1036 # We call the target swig-build on the variable SWIG_WRAPPERS
1037
1038 @GIWS_TRUE@@TCLTK_TRUE@giws: $(GIWS_WRAPPERS)
1039 @GIWS_TRUE@@TCLTK_TRUE@ @GIWS_OUTPUTDIR=src/jni/;\
1040 @GIWS_TRUE@@TCLTK_TRUE@ if test ! -z "$(GIWS_WRAPPERS)"; then \
1041 @GIWS_TRUE@@TCLTK_TRUE@         for file in $(GIWS_WRAPPERS) ; do \
1042 @GIWS_TRUE@@TCLTK_TRUE@                 echo "GIWS process of $$file ..."; \
1043 @GIWS_TRUE@@TCLTK_TRUE@                 $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --description-file $$file; \
1044 @GIWS_TRUE@@TCLTK_TRUE@         done; \
1045 @GIWS_TRUE@@TCLTK_TRUE@ fi
1046
1047 @TCLTK_TRUE@macros:
1048 @TCLTK_TRUE@    -@( if test ! -x $(top_builddir)/scilab-bin; then \
1049 @TCLTK_TRUE@            echo "Error : Cannot build $< : Scilab has not been built"; \
1050 @TCLTK_TRUE@    else \
1051 @TCLTK_TRUE@            $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1052 @TCLTK_TRUE@    fi)
1053
1054 # Removes the macros
1055 @TCLTK_TRUE@clean-macros:
1056 # Removes macros (*.bin generated from .sci)
1057 @TCLTK_TRUE@    @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1058 @TCLTK_TRUE@            echo "rm -f $(srcdir)/$$dir/$(MACROBINMASK)"; \
1059 @TCLTK_TRUE@            rm -f $(srcdir)/$$dir/$(MACROBINMASK); \
1060 @TCLTK_TRUE@    done
1061
1062 @TCLTK_TRUE@all-local: $(TARGETS_ALL)
1063
1064 @TCLTK_TRUE@.sci.bin:
1065 @TCLTK_TRUE@    -@( if test ! -x $(top_builddir)/scilab-bin; then \
1066 @TCLTK_TRUE@    echo "Error : Cannot build $< : Scilab has not been build"; \
1067 @TCLTK_TRUE@    else \
1068 @TCLTK_TRUE@    echo "Creating $@"; \
1069 @TCLTK_TRUE@    $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1070 @TCLTK_TRUE@    fi )
1071
1072 @TCLTK_TRUE@install-html-local:
1073 @TCLTK_TRUE@    @echo "-- Install of htm help files --"; \
1074 @TCLTK_TRUE@    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir); \
1075 @TCLTK_TRUE@    for dir in $(DOCDIRS) ; do \
1076 @TCLTK_TRUE@     if test -d $$dir; then \
1077 @TCLTK_TRUE@      $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1078 @TCLTK_TRUE@            if ls -lLd $(srcdir)/$$dir/$(DOCMASK) >/dev/null 2>&1; then \
1079 @TCLTK_TRUE@              for file in $(srcdir)/$$dir/$(DOCMASK) ; do \
1080 @TCLTK_TRUE@                echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1081 @TCLTK_TRUE@            $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1082 @TCLTK_TRUE@              done ; \
1083 @TCLTK_TRUE@            fi; \
1084 @TCLTK_TRUE@     fi; \
1085 @TCLTK_TRUE@    done
1086 @TCLTK_TRUE@    @echo "-- Install of images help files --"; \
1087 @TCLTK_TRUE@    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir); \
1088 @TCLTK_TRUE@    for dir in $(DOCIMGDIRS) ; do \
1089 @TCLTK_TRUE@     if test -d $$dir; then \
1090 @TCLTK_TRUE@      $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1091 @TCLTK_TRUE@            if ls -lLd $(srcdir)/$$dir/$(DOCIMGMASK) >/dev/null 2>&1; then \
1092 @TCLTK_TRUE@              for file in $(srcdir)/$$dir/$(DOCIMGMASK) ; do \
1093 @TCLTK_TRUE@                echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1094 @TCLTK_TRUE@            $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1095 @TCLTK_TRUE@              done ; \
1096 @TCLTK_TRUE@            fi; \
1097 @TCLTK_TRUE@     fi; \
1098 @TCLTK_TRUE@    done
1099
1100 # If the user wants the help sources to be installed
1101 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@     @echo "-- Install of XML sources of help files --"; \
1102 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@     for dir in $(DOCDIRS) ; do \
1103 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@      if test -d $$dir; then \
1104 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@       $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1105 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@             if ls -lLd $(srcdir)/$$dir/$(DOCMASKXML) >/dev/null 2>&1; then \
1106 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@               for file in $(srcdir)/$$dir/$(DOCMASKXML) ; do \
1107 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@                 echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1108 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@             $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1109 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@               done ; \
1110 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@             fi; \
1111 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@      fi; \
1112 @INSTALL_HELP_XML_TRUE@@TCLTK_TRUE@     done
1113 @TCLTK_TRUE@install-data-local:
1114 # Install the help chapter
1115 @TCLTK_TRUE@    @HELPFILE=$(HELP_CHAPTERDIR)$(HELP_CHAPTERFILE); \
1116 @TCLTK_TRUE@    if test -f $$HELPFILE; then \
1117 @TCLTK_TRUE@            echo "-- Install of help --"; \
1118 @TCLTK_TRUE@            echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR); \
1119 @TCLTK_TRUE@            $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR); \
1120 @TCLTK_TRUE@            echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1121 @TCLTK_TRUE@            $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1122 @TCLTK_TRUE@    fi
1123 # Install the tests     
1124 @TCLTK_TRUE@    @echo "-- Install tests (if any) --"; \
1125 @TCLTK_TRUE@    for dir in $(TESTS_DIR); do \
1126 @TCLTK_TRUE@      $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1127 @TCLTK_TRUE@            if test -d $(srcdir)/$$dir/; then \
1128 @TCLTK_TRUE@              for file in `ls -1 $(srcdir)/$$dir/* 2>/dev/null`; do \
1129 @TCLTK_TRUE@                echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1130 @TCLTK_TRUE@            $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1131 @TCLTK_TRUE@              done; \
1132 @TCLTK_TRUE@            fi; \
1133 @TCLTK_TRUE@    done
1134 # Install the macros
1135 @TCLTK_TRUE@    @echo "-- Install macros (if any) --"; \
1136 @TCLTK_TRUE@    for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1137 @TCLTK_TRUE@      $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1138 @TCLTK_TRUE@            if test -d $(srcdir)/$$dir/; then \
1139 @TCLTK_TRUE@              for file in `ls -1 $(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib 2>/dev/null`; do \
1140 @TCLTK_TRUE@                echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1141 @TCLTK_TRUE@            $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1142 @TCLTK_TRUE@              done; \
1143 @TCLTK_TRUE@            fi; \
1144 @TCLTK_TRUE@    done
1145 # Install java files (.jar)
1146 @TCLTK_TRUE@    @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1147 @TCLTK_TRUE@    echo "-- Install jar files --"; \
1148 @TCLTK_TRUE@    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1149 @TCLTK_TRUE@      for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1150 @TCLTK_TRUE@                echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1151 @TCLTK_TRUE@            $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1152 @TCLTK_TRUE@      done ; \
1153 @TCLTK_TRUE@    fi
1154
1155 ########### CLEAN ###################
1156 # Clean macros and help (generated automatically by Scilab)
1157 @GUI_TRUE@@TCLTK_TRUE@clean-local: clean-java clean-macros
1158 @GUI_FALSE@@TCLTK_TRUE@clean-local: clean-macros
1159 # Removes documentation (*.htm generated from .xml) 
1160 @TCLTK_TRUE@    @for dir in $(DOCDIRS) ; do \
1161 @TCLTK_TRUE@             if test -d $$dir -a -z "$(DISABLE_HELP_CLEAN)"; then \
1162 @TCLTK_TRUE@                    echo "rm -f $(srcdir)/$$dir/$(DOCMASK)"; \
1163 @TCLTK_TRUE@                    rm -f $(srcdir)/$$dir/$(DOCMASK); \
1164 @TCLTK_TRUE@            fi; \
1165 @TCLTK_TRUE@    done
1166
1167 @TCLTK_TRUE@.PHONY: macros java swig giws
1168 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1169 # Otherwise a system limit (for SysV at least) may be exceeded.
1170 .NOEXPORT: